Package com.collibra.dgc.core.api.model.workflow.task

# Interface WorkflowTask

All Superinterfaces:
  `Entity`, `Resource`, `Serializable`

public interface WorkflowTask extends Resource
Represents an uncompleted workflow task.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAggregationKey()`
  Returns the aggregation key.
  `ResourceReference`
  `getBusinessItem()`
  Deprecated.
  This method will be removed in the future.
  `NamedResourceReference`
  `getBusinessItemReference()`
  Returns the business item reference with name `NamedResourceReference` related to the task.
  `List<User>`
  `getCandidateUsers()`
  Returns the candidate users.
  `Long`
  `getCreateTime()`
  Returns the create time.
  `List<FormProperty>`
  `getCustomButtons()`
  Returns the custom buttons.
  `String`
  `getDescription()`
  Returns the description.
  `Long`
  `getDueDate()`
  Returns the due date.
  `String`
  `getErrorMessage()`
  Returns the error message in case this task is in error.
  `String`
  `getKey()`
  Returns the key.
  `String`
  `getOwner()`
  Returns the owner.
  `int`
  `getPriority()`
  Returns the priority.
  `String`
  `getTitle()`
  Returns the title of the task.
  `String`
  `getType()`
  Returns the type.
  `WorkflowDefinitionReference`
  `getWorkflowDefinition()`
  Returns the reference to the workflow definition.
  `UUID`
  `getWorkflowInstanceId()`
  Returns the UUID of the workflow instance.
  `boolean`
  `isCancelable()`
  Returns a boolean indicating whether this workflow task is cancelable or not.
  `boolean`
  `isContainsActivityStream()`
  Returns a boolean indicating whether this task contains an activity stream or not.
  `boolean`
  `isFormKeyAvailable()`
  Returns a boolean indicating whether this task has form key available.
  `boolean`
  `isFormRequired()`
  Returns a boolean indicating whether this task requires a form or not.
  `boolean`
  `isInError()`
  Returns whether this task is in error or not.
  `boolean`
  `isReassignable()`
  Returns a boolean indicating whether this workflow task is reassignable or not.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getWorkflowDefinition

    WorkflowDefinitionReference getWorkflowDefinition()
    Returns the reference to the workflow definition.
    Returns:
      the reference to the workflow definition

  - ### getWorkflowInstanceId

    UUID getWorkflowInstanceId()
    Returns the UUID of the workflow instance.
    Returns:
      the UUID of the workflow instance

  - ### getKey

    String getKey()
    Returns the key.
    Returns:
      the key

  - ### getType

    String getType()
    Returns the type.
    Returns:
      the type

  - ### getAggregationKey

    String getAggregationKey()
    Returns the aggregation key.
    Returns:
      the aggregation key

  - ### getPriority

    int getPriority()
    Returns the priority.
    Returns:
      the priority

  - ### getOwner

    String getOwner()
    Returns the owner.
    Returns:
      the owner

  - ### getCandidateUsers

    List<User> getCandidateUsers()
    Returns the candidate users.
    Returns:
      the candidate users

  - ### getCreateTime

    Long getCreateTime()
    Returns the create time.
    Returns:
      the create time

  - ### getDueDate

    Long getDueDate()
    Returns the due date.
    Returns:
      the due date

  - ### isCancelable

    boolean isCancelable()
    Returns a boolean indicating whether this workflow task is cancelable or not.
    Returns:
      a boolean indicating whether this workflow task is cancelable or not

  - ### isReassignable

    boolean isReassignable()
    Returns a boolean indicating whether this workflow task is reassignable or not.
    Returns:
      a boolean indicating whether this task is reassignable or not

  - ### isFormRequired

    boolean isFormRequired()
    Returns a boolean indicating whether this task requires a form or not.
    Returns:
      a boolean indicating whether this task requires a form or not

  - ### isFormKeyAvailable

    boolean isFormKeyAvailable()
    Returns a boolean indicating whether this task has form key available. The form key is an indicator to json object which holds definition of form content and layout
    Returns:
      a boolean indicating whether this task has form key available

  - ### isContainsActivityStream

    boolean isContainsActivityStream()
    Returns a boolean indicating whether this task contains an activity stream or not.
    Returns:
      a boolean indicating whether this task contains an activity stream or not

  - ### isInError

    boolean isInError()
    Returns whether this task is in error or not.
    Returns:
      a boolean indicating whether this task is in error or not

  - ### getErrorMessage

    String getErrorMessage()
    Returns the error message in case this task is in error.
    Returns:
      the error message

  - ### getCustomButtons

    List<FormProperty> getCustomButtons()
    Returns the custom buttons.
    Returns:
      the custom buttons

  - ### getDescription

    String getDescription()
    Returns the description.
    Returns:
      the description

  - ### getTitle

    String getTitle()
    Returns the title of the task.
    Returns:
      the title

  - ### getBusinessItem

    ResourceReference getBusinessItem()
    Deprecated.
    This method will be removed in the future. Please use `getBusinessItemReference()`
    Returns the business item `ResourceReference` related to the task.

  - ### getBusinessItemReference

    NamedResourceReference getBusinessItemReference()
    Returns the business item reference with name `NamedResourceReference` related to the task.
    Returns:
      the businessItem